function LdM(Ld,M,n);
!     COMPUTATIONAL SUBROUTINE: LdM=Ld*M; Ld lower diagonal matrix; M arbitrary

implicit none

integer(4), intent(in) :: n
real(8), intent(in) :: Ld(n,n)
real(8), intent(in) :: M(n,n)
real(8), dimension(n,n) ::ldm
integer(4) :: i,j


LdM=0.0*M

do i=2,n
if ((ld(i,i-1)/=0.0)) then
do j=1,n
LdM(i,j)=Ld(i,i-1)*M(i-1,j)
end do
end if
end do
return
end function LdM

