function LdV(Ld,v,n)
!     COMPUTATIONAL SUBROUTINE: LdV=Ld*V Ld lower diagonal; V vector

implicit none

integer(4), intent(in) :: n
real(8), intent(in) :: ld(n,n)
real(8), intent(in) :: v(n,1)
real(8), dimension(n,n) ::ldv
integer(4) :: i

LdV=0*v
do i=2,n
if ((ld(i,i-1)/=0.0)) then
LdV(i,1)=ld(i,i-1)*v(i-1,1)
end if
end do
return
end function LdV
